
QGIS Application - Bug report #6124

Vector Grid does not respect exact coordinates

2012-07-30 11:19 AM - Mikhail Titov

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:Yes Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15461

Description

How to reproduce:

Try to create a reference grid as that given at http://hydro1.sci.gsfc.nasa.gov/dods/NLDAS_FORA0125_H.002.info

Centroids are given but for the sake of testing those can be used as is thus aiming at making 463x223 grid cells instead of 464x224.

You'll get:

Overshooting past X & Y boundaries. Also progress is not reported for rectangles output.

History

#1 - 2012-10-29 01:38 AM - Marco Hugentobler

- Assignee set to Alexander Bruy

#2 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2016-03-25 03:43 AM - Alexander Bruy

- Resolution set to worksforme

- Status changed from Open to Closed

In master we have two tools from Processing which works fine

#4 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

doVectorGrid_py-overshooting.patch 1.17 KB 2012-07-30 Mikhail Titov
